<template>
  <div>
    <el-dialog :visible.sync="visible" :append-to-body="appendToBody" title="头像" width="370px" destroy-on-close	>
      <el-image :src="src"/>
    </el-dialog>
  </div>
</template>

<script>
import vueQr from 'vue-qr'

export default {
  components: { vueQr },
  props: {
    appendToBody: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      visible: false,
      src: ''
    }
  },
  methods: {
    init(e) {
      this.visible = true
      this.src = e.src
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
